跳转到主要内容
GET
/
v3
/
enterprise
/
playbooks
列出所有剧本
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/playbooks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v3/enterprise/playbooks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v3/enterprise/playbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "body": "<string>",
      "created_at": 123,
      "created_by": "<string>",
      "macro": "<string>",
      "org_id": "<string>",
      "playbook_id": "<string>",
      "title": "<string>",
      "updated_at": 123,
      "updated_by": "<string>",
      "structured_output_schema": {}
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

权限

需要一个在企业级具有 ManageAccountPlaybooks 权限的服务用户。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

查询参数

after
string | null
first
integer
默认值:100
必填范围: 1 <= x <= 200

响应

成功响应

items
PlaybookResponse · object[]
必填
end_cursor
string | null

用于获取下一页的游标;如果这是最后一页,则为 None。

has_next_page
boolean
默认值:false

当前页之后是否还有更多可用项。

total
integer | null

可选的总数(可为提高性能而省略)。